The `conjure` program gives you the ability to perform custom image processing tasks from a script written in the Magick Scripting Language (MSL). MSL is XML-based and consists of action statements with attributes. Actions include reading an image, processing an image, getting attributes from an image, writing an image, and more. An attribute is a key/value pair that modifies the behavior of an action. See Command Line Processing for advice on how to structure your `conjure` command or see below for example usages of the command.

## Example Usage

We list a few examples of the `conjure` command here to illustrate its usefulness and ease of use. To get started, here is simple `conjure` command:

      conjure -dimensions 400x400 incantation.msl

Where incantation.msl is our MSL script:

      <?xml version="1.0" encoding="UTF-8"?>
      <image size="400x400">
        <read filename="image.gif" />
        <get width="base-width" height="base-height" />
        <resize geometry="%[dimensions]" />
        <get width="width" height="height" />
        <print output="Image sized from %[base-width]x%[base-height] to %[width]x%[height].\n" />
        <write filename="image.png" />
      </image>

MSL supports most methods and attributes discussed in the Perl API for ImageMagick.

In addition, MSL supports the `swap` element with a single `indexes` element.

You can find additional examples of using `conjure` in Graphics from the Command Line. Further discussion is available in More Graphics from the Command Line and Examples of ImageMagick Usage.

## Option Summary

The `conjure` command recognizes these options. Click on an option to get more details about how that option works.

Option | Description
--- | ---
-debug events | display copious debugging information
-help | print program options
-log format | format of debugging information
-monitor | monitor progress
-quiet | suppress all warning messages
-regard-warnings | pay attention to warning messages.
-seed value | seed a new sequence of pseudo-random numbers
-verbose | print detailed information about the image
-version | print version information

Discourse Server • Mailing Lists • Cafe • Studio